SUSE: 2022:4271-1 moderate: git | LinuxSecurity.com

   SUSE Security Update: Security update for git
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:4271-1
Rating:             moderate
References:         #1204455 #1204456 
Cross-References:   CVE-2022-39253 CVE-2022-39260
CVSS scores:
                    CVE-2022-39253 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N
                    CVE-2022-39253 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N
                    CVE-2022-39260 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
                    CVE-2022-39260 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L

Affected Products:
                    HPE Helion Openstack 8
                    SUSE Linux Enterprise Server 12-SP5
                    SUSE Linux Enterprise Server for SAP Applications 12-SP5
                    SUSE Linux Enterprise Software Development Kit 12-SP5
                    SUSE OpenStack Cloud 8
______________________________________________________________________________

   An update that fixes two vulnerabilities is now available.

Description:

   This update for git fixes the following issues:

     - CVE-2022-39260: Fixed overflow in split_cmdline() (bsc#1204456).
     - CVE-2022-39253: Fixed dereference issue with symbolic links via the
       `--local` clone mechanism (bsc#1204455).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE OpenStack Cloud 8:

      zypper in -t patch SUSE-OpenStack-Cloud-8-2022-4271=1

   - SUSE Linux Enterprise Software Development Kit 12-SP5:

      zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-4271=1

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-4271=1

   - HPE Helion Openstack 8:

      zypper in -t patch HPE-Helion-OpenStack-8-2022-4271=1



Package List:

   - SUSE OpenStack Cloud 8 (x86_64):

      git-2.26.2-27.60.1
      git-debugsource-2.26.2-27.60.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64):

      git-2.26.2-27.60.1
      git-arch-2.26.2-27.60.1
      git-core-2.26.2-27.60.1
      git-core-debuginfo-2.26.2-27.60.1
      git-cvs-2.26.2-27.60.1
      git-daemon-2.26.2-27.60.1
      git-daemon-debuginfo-2.26.2-27.60.1
      git-debugsource-2.26.2-27.60.1
      git-email-2.26.2-27.60.1
      git-gui-2.26.2-27.60.1
      git-svn-2.26.2-27.60.1
      git-svn-debuginfo-2.26.2-27.60.1
      git-web-2.26.2-27.60.1
      gitk-2.26.2-27.60.1

   - SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch):

      git-doc-2.26.2-27.60.1

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      git-2.26.2-27.60.1
      git-core-2.26.2-27.60.1
      git-core-debuginfo-2.26.2-27.60.1
      git-cvs-2.26.2-27.60.1
      git-daemon-2.26.2-27.60.1
      git-daemon-debuginfo-2.26.2-27.60.1
      git-debugsource-2.26.2-27.60.1
      git-email-2.26.2-27.60.1
      git-gui-2.26.2-27.60.1
      git-svn-2.26.2-27.60.1
      git-web-2.26.2-27.60.1
      gitk-2.26.2-27.60.1

   - HPE Helion Openstack 8 (x86_64):

      git-2.26.2-27.60.1
      git-debugsource-2.26.2-27.60.1


References:

   https://www.suse.com/security/cve/CVE-2022-39253.html
   https://www.suse.com/security/cve/CVE-2022-39260.html
   https://bugzilla.suse.com/1204455
   https://bugzilla.suse.com/1204456

SUSE: 2022:4271-1 moderate: git

November 29, 2022
An update that fixes two vulnerabilities is now available

Summary

This update for git fixes the following issues: - CVE-2022-39260: Fixed overflow in split_cmdline() (bsc#1204456). - CVE-2022-39253: Fixed dereference issue with symbolic links via the `--local` clone mechanism (bsc#1204455). Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE OpenStack Cloud 8: zypper in -t patch SUSE-OpenStack-Cloud-8-2022-4271=1 - SUSE Linux Enterprise Software Development Kit 12-SP5: zypper in -t patch SUSE-SLE-SDK-12-SP5-2022-4271=1 - SUSE Linux Enterprise Server 12-SP5: zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-4271=1 - HPE Helion Openstack 8: zypper in -t patch HPE-Helion-OpenStack-8-2022-4271=1 Package List: - SUSE OpenStack Cloud 8 (x86_64): git-2.26.2-27.60.1 git-debugsource-2.26.2-27.60.1 - SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le s390x x86_64): git-2.26.2-27.60.1 git-arch-2.26.2-27.60.1 git-core-2.26.2-27.60.1 git-core-debuginfo-2.26.2-27.60.1 git-cvs-2.26.2-27.60.1 git-daemon-2.26.2-27.60.1 git-daemon-debuginfo-2.26.2-27.60.1 git-debugsource-2.26.2-27.60.1 git-email-2.26.2-27.60.1 git-gui-2.26.2-27.60.1 git-svn-2.26.2-27.60.1 git-svn-debuginfo-2.26.2-27.60.1 git-web-2.26.2-27.60.1 gitk-2.26.2-27.60.1 - SUSE Linux Enterprise Software Development Kit 12-SP5 (noarch): git-doc-2.26.2-27.60.1 - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64): git-2.26.2-27.60.1 git-core-2.26.2-27.60.1 git-core-debuginfo-2.26.2-27.60.1 git-cvs-2.26.2-27.60.1 git-daemon-2.26.2-27.60.1 git-daemon-debuginfo-2.26.2-27.60.1 git-debugsource-2.26.2-27.60.1 git-email-2.26.2-27.60.1 git-gui-2.26.2-27.60.1 git-svn-2.26.2-27.60.1 git-web-2.26.2-27.60.1 gitk-2.26.2-27.60.1 - HPE Helion Openstack 8 (x86_64): git-2.26.2-27.60.1 git-debugsource-2.26.2-27.60.1

References

#1204455 #1204456

Cross- CVE-2022-39253 CVE-2022-39260

CVSS scores:

CVE-2022-39253 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

CVE-2022-39253 (SUSE): 4.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N

CVE-2022-39260 (NVD) : 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

CVE-2022-39260 (SUSE): 6.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L

Affected Products:

HPE Helion Openstack 8

SUSE Linux Enterprise Server 12-SP5

SUSE Linux Enterprise Server for SAP Applications 12-SP5

SUSE Linux Enterprise Software Development Kit 12-SP5

SUSE OpenStack Cloud 8

https://www.suse.com/security/cve/CVE-2022-39253.html

https://www.suse.com/security/cve/CVE-2022-39260.html

https://bugzilla.suse.com/1204455

https://bugzilla.suse.com/1204456

Severity
Announcement ID: SUSE-SU-2022:4271-1
Rating: moderate

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.